<template>
    <div class="columns">
        <div class="column is-fullwidth">
            <b-field label="Parcelas">
                <b-select placeholder="Selecione a quantidade parcelas" 
                        @change.native="$emit('input', parseInt($event.target.value))"
                        v-model="form.installment"
                    >
                    <option
                        v-for="installment in installments"
                        :value="installment.installments"
                        :key="installment.installments">
                        {{ installment.recommended_message }}
                    </option>
                </b-select>
            </b-field>
        </div>
    </div>
</template>

<script>
import { mapGetters } from 'vuex'

export default {
    data(){
        return {
            // installments: [],
            form:{
                installment: 1,
                name: null,
                docType: 'CPF',
                docNumber: null
            }
        }
    },

    props: {
        installments:{
            required: true,
            type: Array
        }
    },

    computed: {
        ...mapGetters({
            total: 'cart/total',
            paymentMethod: 'cart/paymentMethod'
        })
    },

    mounted(){
        this.$emit('input', this.form.installment);
    }
}
</script>

<style>
    .identification {
        border-top: 1px solid #CCC;
    }
</style>